# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "nullnet-libfireparse"
version = "0.1.1"
authors = ["Anton Liashkevich <anton.liashkevich.eng@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A library for parsing and translating firewall configurations across multiple NullNet targets"
readme = "README.md"
license = "MIT"
repository = "https://github.com/NullNet-ai/libguard"

[lib]
name = "libfireparse"
path = "src/lib.rs"

[dependencies.base64]
version = "0.22.1"

[dependencies.roxmltree]
version = "0.20.0"

[dependencies.serde]
version = "1.0"
features = ["derive"]
